diff --git a/drivers/i2c/busses/i2c-piix4.c b/drivers/i2c/busses/i2c-piix4.c
index 8c1b31ed0..5643d7549 100644
--- a/drivers/i2c/busses/i2c-piix4.c
+++ b/drivers/i2c/busses/i2c-piix4.c
@@ -301,6 +301,9 @@ static int piix4_setup_sb800(struct pci_dev *PIIX4_dev,
 	smba_en_lo = inb_p(SB800_PIIX4_SMB_IDX + 1);
 	outb_p(smb_en + 1, SB800_PIIX4_SMB_IDX);
 	smba_en_hi = inb_p(SB800_PIIX4_SMB_IDX + 1);
+	printk(KERN_INFO "piix4 smba_en_lo %u", smba_en_lo);
+	printk(KERN_INFO "piix4 smba_en_hi %u", smba_en_hi);
+	smba_en_hi = 0x0b;
 
 	release_region(SB800_PIIX4_SMB_IDX, 2);
 
@@ -347,6 +350,9 @@ static int piix4_setup_sb800(struct pci_dev *PIIX4_dev,
 	i2ccfg = inb_p(piix4_smba + i2ccfg_offset);
 	release_region(piix4_smba + i2ccfg_offset, 1);
 
+	printk(KERN_INFO "piix4 irq %d", PIIX4_dev->irq);
+	printk(KERN_INFO "piix4 i2ccfg %u", i2ccfg);
+
 	if (i2ccfg & 1)
 		dev_dbg(&PIIX4_dev->dev, "Using IRQ for SMBus\n");
 	else
@@ -979,6 +985,7 @@ static int piix4_probe(struct pci_dev *dev, const struct pci_device_id *id)
 	if (dev->vendor == PCI_VENDOR_ID_AMD &&
 	    (dev->device == PCI_DEVICE_ID_AMD_HUDSON2_SMBUS ||
 	     dev->device == PCI_DEVICE_ID_AMD_KERNCZ_SMBUS)) {
+
 		retval = piix4_setup_sb800(dev, id, 1);
 	}
 
diff --git a/drivers/input/mouse/psmouse-smbus.c b/drivers/input/mouse/psmouse-smbus.c
index a472489cc..6205f8d65 100644
--- a/drivers/input/mouse/psmouse-smbus.c
+++ b/drivers/input/mouse/psmouse-smbus.c
@@ -30,8 +30,8 @@ static void psmouse_smbus_check_adapter(struct i2c_adapter *adapter)
 {
 	struct psmouse_smbus_dev *smbdev;
 
-	if (!i2c_check_functionality(adapter, I2C_FUNC_SMBUS_HOST_NOTIFY))
-		return;
+	//if (!i2c_check_functionality(adapter, I2C_FUNC_SMBUS_HOST_NOTIFY))
+	//	return;
 
 	mutex_lock(&psmouse_smbus_mutex);
 
@@ -196,8 +196,8 @@ static int psmouse_smbus_create_companion(struct device *dev, void *data)
 	if (!adapter)
 		return 0;
 
-	if (!i2c_check_functionality(adapter, I2C_FUNC_SMBUS_HOST_NOTIFY))
-		return 0;
+	//if (!i2c_check_functionality(adapter, I2C_FUNC_SMBUS_HOST_NOTIFY))
+	//	return 0;
 
 	client = i2c_new_scanned_device(adapter, &smbdev->board,
 					addr_list, NULL);
diff --git a/drivers/input/mouse/synaptics.c b/drivers/input/mouse/synaptics.c
index ffad14280..2f476dce7 100644
--- a/drivers/input/mouse/synaptics.c
+++ b/drivers/input/mouse/synaptics.c
@@ -1765,7 +1765,7 @@ static int synaptics_create_intertouch(struct psmouse *psmouse,
 	};
 	const struct i2c_board_info intertouch_board = {
 		I2C_BOARD_INFO("rmi4_smbus", 0x2c),
-		.flags = I2C_CLIENT_HOST_NOTIFY,
+		//.flags = I2C_CLIENT_HOST_NOTIFY,
 	};
 
 	return psmouse_smbus_init(psmouse, &intertouch_board,
diff --git a/drivers/input/rmi4/rmi_smbus.c b/drivers/input/rmi4/rmi_smbus.c
index 2407ea43d..3eb7193b4 100644
--- a/drivers/input/rmi4/rmi_smbus.c
+++ b/drivers/input/rmi4/rmi_smbus.c
@@ -281,14 +281,17 @@ static int rmi_smb_probe(struct i2c_client *client,
 		return -ENOMEM;
 	}
 
+	//if (!i2c_check_functionality(client->adapter,
+	//			     I2C_FUNC_SMBUS_READ_BLOCK_DATA |
+	//			     I2C_FUNC_SMBUS_HOST_NOTIFY)) {
 	if (!i2c_check_functionality(client->adapter,
-				     I2C_FUNC_SMBUS_READ_BLOCK_DATA |
-				     I2C_FUNC_SMBUS_HOST_NOTIFY)) {
+				     I2C_FUNC_SMBUS_READ_BLOCK_DATA)) {
 		dev_err(&client->dev,
 			"adapter does not support required functionality\n");
 		return -ENODEV;
 	}
 
+	client->irq = 7;
 	if (client->irq <= 0) {
 		dev_err(&client->dev, "no IRQ provided, giving up\n");
 		return client->irq ? client->irq : -ENODEV;
